package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 13:20
 */
@Data
public class CrossLightsPO {
    /** 灯组ID */
    @ApiModelProperty(value = "灯组ID",notes = "")
    private Integer id ;
    /** 灯组号 */
    @ApiModelProperty(value = "灯组号",notes = "")
    private String lightsNo ;
    /** 灯组名称 */
    @ApiModelProperty(value = "灯组名称",notes = "")
    private String name ;
    /** 灯组类型：1箭头;2圆饼，3行人 */
    @ApiModelProperty(value = "灯组类型：1箭头2圆饼3行人",notes = "")
    private Integer type ;
    /** 灯组方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(value = "灯组方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dir ;
    /** 灯组转向：1左转；2右转；3直行；4左掉头；5直左；6直右；7右掉头；8向左合流；9向右合流；10左转加掉头；11右转加掉头；12直行加左掉头；13直行加右掉头；14左转右转；15左直右；16左转右转加掉头；17左直掉头；18左直右掉头；20行人 */
    @ApiModelProperty(value = "灯组转向：1左转；2右转；3直行；4左掉头；5直左；6直右；7右掉头；8向左合流；9向右合流；10左转加掉头；11右转加掉头；12直行加左掉头；13直行加右掉头；14左转右转；15左直右；16左转右转加掉头；17左直掉头；18左直右掉头；20行人",notes = "")
    private Integer turn ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 行人进出口：1进口;2出口，3进出口 */
    @ApiModelProperty(value = "行人进出口：1进口2出口3进出口",notes = "")
    private Integer inOutType ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
